close all;
clear all;
clc;

load('Phase.mat');

S       = 3733.5        % The total sensitivity

fprintf('Plotting Phase Extraction...\n');
%% Phase
fid = figure;
hold all;

plotPhase   = Extr_Phase - Extr_Phase(1);
plot(ResTime(1:10:end)/60, plotPhase(1:10:end),...
                'LineWidth', 2);

ylim([-5, 120]);
ylabel('$\varphi$ $[\mathrm{rad}]$', 'FontSize', 15, 'Interpreter', 'latex');
xlim([min(ResTime/60) max(ResTime/60)]);
xlabel('$t$ $[\mathrm{min}]$', 'FontSize', 15, 'Interpreter', 'latex');
title(strcat('Extracted Phase'), 'FontSize', 17, 'Interpreter', 'latex');
grid on;
grid minor
ax = gca;
ax.FontSize = 15;


%% Show the Phase Noise
fprintf('Phase Noise extraction...\n');

load('Phase_Noise.mat');

noise   = std(Phase_const)
LOD     = 3*noise/S

%% Plotting Phase Noise
fid = figure;

plot(Time_const, Phase_const, 'LineWidth', 2);

ylabel('$\varphi$ $[\mathrm{rad}]$', 'FontSize', 15, 'Interpreter', 'latex');
xlim([min(Time_const) max(Time_const)]);
xlabel('$t$ $[\mathrm{s}]$', 'FontSize', 15, 'Interpreter', 'latex');
title(strcat('Phase Noise'), 'FontSize', 17, 'Interpreter', 'latex');
grid on;
grid minor
ax = gca;
ax.FontSize = 15;