close all;
clear all;
clc

load('Mech_no_Mech_PSDs.mat');

%% Plot log log Power Spectral Density
fid = figure;
x_Yes   = Spec_Freq_Yes;
x_No    = Spec_Freq_No;
y_Yes   = SDI_Spec_Yes.^2;
y_No    = SDI_Spec_No.^2;

loglog(x_Yes, SDI_Spec_Yes.^2, '-', 'LineWidth', 2);
hold on;
loglog(x_No, SDI_Spec_No.^2, '-', 'LineWidth', 2);

xlim([min(x_No), max(x_No)]);
xlabel('$f$ $[\mathrm{Hz}]$', 'FontSize', 15, 'Interpreter', 'latex');
ylim([1e-24, 1e-12]);
ylabel('$PSD_1$ $[\mathrm{A^2/Hz}]$', 'FontSize', 15, 'Interpreter', 'latex');
title('Power Spectral Density Mechanical Noise', 'FontSize', 15, 'Interpreter', 'latex');

ax = gca;
ax.FontSize = 15;
legend({'with MN', 'damped MN'}, 'Interpreter', 'latex', 'Location', 'ne', 'FontSize', 12);

grid on;
grid minor;