function [oFreq, oPSD] = Calculate_PSD(iTime, iSignal, iWindow)
    
    if length(iWindow) == 1
        iWindow = ones(size(iSignal));
    end
    
    dt          = iTime(2) - iTime(1);
    fs          = 1/dt;
    lenofSig    = length(iSignal);
    
    [Spec, Freq]    = FFTN(iSignal, dt);
    
    Spec        = Spec .* iWindow;
    Power       = fftshift(abs(Spec).^2);
    TwoSidePSD  = Power / fs;
    
    minFreq         = min(Freq);
    maxFreq         = max(Freq);
    zeroFreqInd     = GetIndexofTime(Freq, [0, maxFreq]);
    zeroFreqInd     = zeroFreqInd(1);
    minmaxFreqInd   = GetIndexofTime(Freq, [minFreq, maxFreq]);
    indexMod        = 1;
    
    if abs(zeroFreqInd - minmaxFreqInd(1)) == abs(minmaxFreqInd(2) - zeroFreqInd)
        indexMod = 0;
    end
    
    lenPSD      = abs(zeroFreqInd - minmaxFreqInd(1))+not(indexMod);
    
    oPSD        = nan(lenPSD, 1);
    oPSD(2:end) = TwoSidePSD(zeroFreqInd+1:minmaxFreqInd(2)) + flip(TwoSidePSD(minmaxFreqInd(1)+indexMod:zeroFreqInd-1));    
    oPSD(1)     = TwoSidePSD(zeroFreqInd)*1;
    
    oFreq       = Freq(zeroFreqInd:end);
end