function [oIndicies] = GetIndexofTime(iTime, iTimeInterval)

    SizeInterval    = size(iTimeInterval);
    oIndicies       = NaN(2, 1);

    if length(SizeInterval) > 2
        disp('Error: GetIndexofTime - iTimeIntervall has more than two dimensions.');
        return;
    end

    if SizeInterval(1)*SizeInterval(2) > 2
        disp('Error: GetIndexofTime - iTimeIntervall has more than two entries.');
        return;
    end

    if SizeInterval(2) > SizeInterval(1)
        iTimeInterval = iTimeInterval';
    end

    if iTimeInterval(2) < iTimeInterval(1)
        disp('Error: GetIndexofTime - iTimeIntervall is no increasing vector.');
        return;
    end

    [mini, ind_min]     = min(abs(iTime - iTimeInterval(1)));
    if(iTime(ind_min) < iTimeInterval(1))
        ind_min     = ind_min + 1;
    end

    [maxi, ind_max]     = min(abs(iTime - iTimeInterval(2)));
    if(iTime(ind_max) > iTimeInterval(2))
        ind_max     = ind_max - 1;
    end

    oIndicies = [ind_min, ind_max];
end